|
From: <sv...@va...> - 2015-05-26 11:52:54
|
Author: florian
Date: Tue May 26 12:52:45 2015
New Revision: 15291
Log:
Remove dependency on bash. Fixes BZ #347978.
Modified:
trunk/NEWS
trunk/auxprogs/gsl16test
trunk/auxprogs/gsl19test
trunk/drd/scripts/download-and-build-splash2.in
Modified: trunk/NEWS
==============================================================================
--- trunk/NEWS (original)
+++ trunk/NEWS Tue May 26 12:52:45 2015
@@ -217,6 +217,7 @@
347379 valgrind --leak-check=full memleak errors from system libraries on OS X 10.8
== 217236
347389 unhandled syscall: 373 (Linux ARM syncfs)
+347978 Remove bash dependencies where not needed
n-i-bz Provide implementations of certain compiler builtins to support
compilers who may not provide those
n-i-bz Old STABS code is still being compiled, but never used. Remove it.
Modified: trunk/auxprogs/gsl16test
==============================================================================
--- trunk/auxprogs/gsl16test (original)
+++ trunk/auxprogs/gsl16test Tue May 26 12:52:45 2015
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh -x
# Do an automated test which involves building and regtesting version
# 1.6 of the GNU Scientific Library (gsl). This has proven to be a
@@ -43,7 +43,7 @@
(eval "$*") >> log.verbose 2>&1
- if [ $? == 0 ]
+ if [ $? = 0 ]
then
echo "done"
return 0
Modified: trunk/auxprogs/gsl19test
==============================================================================
--- trunk/auxprogs/gsl19test (original)
+++ trunk/auxprogs/gsl19test Tue May 26 12:52:45 2015
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
# Do an automated test which involves building and regtesting version
# 1.9 of the GNU Scientific Library (gsl). This has proven to be a
@@ -45,7 +45,7 @@
(eval "$*") >> log.verbose 2>&1
- if [ $? == 0 ]
+ if [ $? = 0 ]
then
echo "done"
return 0
Modified: trunk/drd/scripts/download-and-build-splash2.in
==============================================================================
--- trunk/drd/scripts/download-and-build-splash2.in (original)
+++ trunk/drd/scripts/download-and-build-splash2.in Tue May 26 12:52:45 2015
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
downloads="$HOME/software/downloads"
|